Taglio a filo Rhino 6


#1

Salve ma come mai con Rhino 6 non si riesce piu a tagliare un solido usando il bordo di un solido ma bisogna necessariamente creare la curva?
Sbaglio qualcosa? grazie.

Versione 6 SR8


#2

Ora guardo ma tu aggiorna Rhino alla ultima service release.

Edit:
Non mi pare che nemmeno in V5 si potesse tagliare usando come curva il bordo di una srf o polisrf…


#3

Vero.
Ma perche’ ?


#4

… Se puo’ servire, questo sembra che tagli anche usando i bordi.

import Rhino
import scriptcontext

def main():
  gob = Rhino.Input.Custom.GetObject()
  gob.SetCommandPrompt( 'Curve or edge for WireCut ?' )
  gob.AcceptNothing( True )
  gob.GeometryFilter = (
      Rhino.DocObjects.ObjectType.Curve |
      Rhino.DocObjects.ObjectType.EdgeFilter )
  gob.Get()
  if gob.Result() != Rhino.Input.GetResult.Object:
    return
  obref = gob.Object( 0 )
  cu = obref.Curve()
  gid = Rhino.RhinoDoc.ActiveDoc.Objects.AddCurve( cu )
  scriptcontext.doc.Objects.UnselectAll()
  scriptcontext.doc.Objects.Select( gid )
  Rhino.RhinoApp.RunScript( '_WireCut', True )
  scriptcontext.doc.Objects.Delete( gid, True )
  scriptcontext.doc.Views.Redraw()
    
main()

Ciao


#5

Ciao Emilio, ma per aggiungere questo devo fare un pulsante e copiargli il testo dentro?
Grazie.

Cmq nella 5 c’era non potevi con il bordo del solido tagliare lo stesso solido ma con quel bordo potevi almeno tagliare un altro solido.


#6

Ciao Emanuele,

Ci sono diversi modi diusare uno script.
Questo e’ uno. :slight_smile:

Fai un pulsante e come comando scrivi :

-RunPythonScript
(

QUI INSERISCI IL TESTO DELLO SCRIPT

)

Ah, OK.
Qui sembrava non funzionare, ma ho una 5 molto vecchia …


#7

Fatto, grazie Emilio.